
Foreman - Feature #123

Sort list of assigned classes

12/09/2009 09:07 PM - Frank Sweetser

Status: Closed   

Priority: Low   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be great if, when creating or editing a host, the list of Puppetclasses assigned to that host were listed in alphabetically sorted

order, rather than the order in which they were added to the host.

Related issues:

Related to Foreman - Feature #66: Add Logic to host edit page Closed 11/05/2009

Is duplicate of Foreman - Refactor #193: move hosts controller away from AS Closed 03/25/2010

History

#1 - 12/10/2009 07:46 AM - Ohad Levy

we are planning to redo the create/edit page (and to phase out active scaffold where it make sense).

patches are welcomed ;)

#2 - 02/09/2010 11:05 AM - Ohad Levy

- Target version set to 0.1-4

#3 - 03/01/2010 05:16 PM - Marcello de Sousa

May I suggest adding "columns" to the class list. On the columns, next to the "class name" you could list "module" and "environment" where the class

belongs to. You could then sort clicking on the specified column.

#4 - 03/03/2010 02:25 PM - Ohad Levy

Marcello de Sousa wrote:

May I suggest adding "columns" to the class list. On the columns, next to the "class name" you could list "module" and "environment" where the

class belongs to. You could then sort clicking on the specified column.

 yep, thats the plan

#5 - 03/08/2010 07:06 AM - Ohad Levy

- Target version changed from 0.1-4 to 0.1-5

This would be easy once we get rid of ActiveScaffold, which is planned for 0.1-5

#6 - 04/03/2010 03:37 PM - Ohad Levy

- Status changed from New to Closed
